Verify company TIN
curl --request POST \
--url https://api.creditor.younegotiate.com/account-profile/company/verify-tin \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_name": "ABC Collections",
"fed_tax_id": "123456789",
"address": "123 Market Street",
"address2": "Suite 400",
"city": "San Francisco",
"state": "CA",
"zip": "94105"
}
'import requests
url = "https://api.creditor.younegotiate.com/account-profile/company/verify-tin"
payload = {
"company_name": "ABC Collections",
"fed_tax_id": "123456789",
"address": "123 Market Street",
"address2": "Suite 400",
"city": "San Francisco",
"state": "CA",
"zip": "94105"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_name: 'ABC Collections',
fed_tax_id: '123456789',
address: '123 Market Street',
address2: 'Suite 400',
city: 'San Francisco',
state: 'CA',
zip: '94105'
})
};
fetch('https://api.creditor.younegotiate.com/account-profile/company/verify-tin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "TIN is verified!",
"data": {
"company_name": "ABC Collections",
"fed_tax_id": "123456789",
"is_verified_tin": true,
"middesk_business_id": "business_123",
"verification_status": "verified",
"modal": null
}
}Verify company TIN
Verify the company name and federal tax ID through Middesk before saving the company profile attestation.
POST
/
account-profile
/
company
/
verify-tin
Verify company TIN
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
3 - 50Federal tax ID. Hyphens are accepted by the backend and normalized before validation.
Pattern:
^\d{9}$Maximum string length:
255Maximum string length:
255Maximum string length:
255Required string length:
2Maximum string length:
10Last modified on July 20, 2026
Was this page helpful?
⌘I

